package protocol

// Response is struct when used to communicate with WebSocket RPC
type Response struct {
	Header
	Result *string `json:"result,omitempty"`
	Error  *Error  `json:"error,omitempty"`
	ID     int64   `json:"id"`
}
